Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.filter
Class And

    java.lang.Object
      cascading.operation.BaseOperation<Logic.Context>
          cascading.operation.filter.Logic
              cascading.operation.filter.And

All Implemented Interfaces:
  Filter<Logic.Context>, Operation<Logic.Context>, Serializable

    public class And

extends Logic

Class And is a `Filter` class that will logically 'and' the results of the constructor provided Filter instances.

Logically, if `Filter.isRemove(cascading.flow.FlowProcess, cascading.operation.FilterCall)` returns `true` for all given instances, this filter will return `true`.

See Also:
  `Or`, `Xor`, `Not`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.operation.filter.Logic
`Logic.Context`

Field Summary

Fields inherited from class cascading.operation.filter.Logic
`argumentSelectors, filters`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`And(Fields[] argumentSelectors, Filter[] filters)` Constructor And creates a new And instance.
`And(Fields lhsArgumentSelector, Filter lhsFilter, Fields rhsArgumentSelector, Filter rhsFilter)` Constructor And creates a new And instance.
`And(Filter... filters)` Constructor And creates a new And instance where all Filter instances receive all arguments.

Method Summary
`boolean` | `isRemove(FlowProcess flowProcess, FilterCall filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

Methods inherited from class cascading.operation.filter.Logic
`cleanup, equals, getArgumentSelectors, getFieldsSize, getFilters, hashCode, prepare, verify`

Methods inherited from class cascading.operation.BaseOperation
`flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### And

    @ConstructorProperties(value="filters")
    public And(Filter... filters)

  Constructor And creates a new And instance where all Filter instances receive all arguments.

  Parameters:
    `filters` - of type Filter...

### And

    @ConstructorProperties(value={"lhsArgumentsSelector","lhsFilter","rhsArgumentSelector","rhsFilter"})
    public And(Fields lhsArgumentSelector,
                                          Filter lhsFilter,
                                          Fields rhsArgumentSelector,
                                          Filter rhsFilter)

  Constructor And creates a new And instance.

  Parameters:
    `lhsArgumentSelector` - of type Fields
    `lhsFilter` - of type Filter
    `rhsArgumentSelector` - of type Fields
    `rhsFilter` - of type Filter

### And

    @ConstructorProperties(value={"argumentFilters","filters"})
    public And(Fields[] argumentSelectors,
                                          Filter[] filters)

  Constructor And creates a new And instance.

  Parameters:
    `argumentSelectors` - of type Fields[]
    `filters` - of type Filter[]

Method Detail

### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                            FilterCall filterCall)

  Description copied from interface: `Filter`
  Method isRemove returns true if input should be removed from the tuple stream.

  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.